For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • PUTUpsert
      • DELDelete
      • PATCHUpdate
      • HEADExists
      • GETList Thumbnails
      • GETGet Thumbnail
LogoLogo
Sign upLog in
API ReferenceFlows

Update

PATCH
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/flows/:flowId
PATCH
/v1/landscapes/:landscapeId/versions/:versionId/flows/:flowId
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.flows.update("landscapeId", "versionId", "flowId", {
8 body: {},
9 });
10}
11main();
1{
2 "flow": {
3 "commit": 1.1,
4 "index": 1.1,
5 "labels": {},
6 "name": "string",
7 "pinned": true,
8 "showAllSteps": true,
9 "showConnectionNames": true,
10 "steps": {},
11 "diagramId": "string",
12 "handleId": "string",
13 "createdAt": "2024-01-15T09:30:00Z",
14 "createdBy": "user",
15 "createdById": "string",
16 "id": "string",
17 "landscapeId": "string",
18 "updatedAt": "2024-01-15T09:30:00Z",
19 "updatedBy": "user",
20 "updatedById": "string",
21 "version": 1.1,
22 "versionId": "string",
23 "pinnedAt": "2024-01-15T09:30:00Z",
24 "pinnedIndex": 1.1,
25 "deletedAt": "2024-01-15T09:30:00Z",
26 "deletedBy": "user",
27 "deletedById": "string",
28 "latestEntityId": "string",
29 "viewedAt": "2024-01-15T09:30:00Z",
30 "viewedBy": "user",
31 "viewedById": "string"
32 }
33}
Was this page helpful?
Previous

Exists

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
flowIdstringRequired

Request

This endpoint expects an object.
commitdoubleOptional
indexdoubleOptional
labelsmap from strings to stringsOptional
namestringOptional
pinnedbooleanOptional
pinnedAtdatetimeOptional
pinnedIndexdoubleOptional
showAllStepsbooleanOptional
showConnectionNamesbooleanOptional
stepsobjectOptional

Response

OK
flowobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error